Package com.emc.d2fs.interfaces

# Interface IVDConvertService

All Superinterfaces:
  `ID2fsService`

public interface IVDConvertService extends ID2fsService
Virtual document conversion services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attribute>`
  `convertFolderToVD(Context context, String id, List<Attribute> parameters)`
  Convert from a folder structure to a virtual document
  `boolean`
  `convertToSimpleDoc(Context context, String id)`
  Convert from a virtual document to a simple doc
  `boolean`
  `convertToVD(Context context, String id)`
  Convert from a simple doc to a virtual document

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### convertToVD

    boolean convertToVD(Context context, String id) throws Exception
    Convert from a simple doc to a virtual document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.1

  - ### convertToSimpleDoc

    boolean convertToSimpleDoc(Context context, String id) throws Exception
    Convert from a virtual document to a simple doc
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.1

  - ### convertFolderToVD

    List<Attribute> convertFolderToVD(Context context, String id, List<Attribute> parameters) throws Exception
    Convert from a folder structure to a virtual document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of folder id
      `parameters` - list attribute name="rootId" [Mandatory] sysobject id that will be used as vd root for conversion attribute name="config_name" [Optional] if you want to force the convert structure configuration
    Returns:
      attribute list if process performs without error, you will find an : attribute name="id" being the resulting vd root id attribute name="object_name" being the resulting vd root object name
    Throws:
      `Exception`
    Since:
      4.2.1